[REGRESSION] bzr 1.17 does not use _knit_load_data compiled extension

Marius Kruger amanic at gmail.com
Thu Jul 30 06:59:23 BST 2009


2009/7/30 Martin Pool <mbp at sourcefrog.net>:
> 2009/7/30 John Arbash Meinel <john at arbash-meinel.com>:
>
>>> Hm, actually not because you may already be in Python's sky-is-falling
>>> finalization state where you can't load new code?
>>>
>>
>> So my idea was to do it at the end of main() or run_bzr().
>
> That would be ok.

maybe a little off topic, but I think we could potentially factor
out a trace.annoying_warning(conf_id='not_using_pyrex', message='some
recuring/annoying message')
then we can have a [annoying_warning] standard  section in bazaar.conf
and they can be disabled separately.
This may then used for deprecation warnings, plugin version
incompatibilities etc.
cause sometimes you want to just continue at own risk.
Then by default we can warn for example only once per day.



More information about the bazaar mailing list